-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 3.0 (quilt)
Source: mystic
Binary: python3-mystic, python-mystic-doc
Architecture: all
Version: 0.4.3-1
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Homepage: https://github.com/uqfoundation/mystic
Description: Constrained nonlinear optimization
 The mystic framework provides a collection of optimization algorithms
 and tools that allows the user to more robustly (and easily) solve
 hard optimization problems for machine learning, uncertainty
 quantification and AI.  mystic gives the user fine-grained power to
 both monitor and steer optimizations as the fit processes are
 running.  Users can customize optimizer stop conditions, where both
 compound and user-provided conditions may be used.  Optimizers can
 save state, can be reconfigured dynamically, and can be restarted
 from a saved solver or from a results file.  All solvers can also
 leverage parallel computing, either within each iteration or as an
 ensemble of solvers.
 .
 mystic provides a stock set of configurable, controllable solvers
 with:
  * a common interface
  * a control handler with: pause, continue, exit, and callback
  * ease in selecting initial population conditions: guess, random, etc
  * ease in checkpointing and restarting from a log or saved state
  * the ability to leverage parallel & distributed computing
  * the ability to apply a selection of logging and/or verbose monitors
  * the ability to configure solver-independent termination conditions
  * the ability to impose custom and user-defined penalties and constraints
 .
 mystic is part of pathos, a Python framework for heterogeneous computing.
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/mystic
Vcs-Git: https://salsa.debian.org/python-team/packages/mystic.git
Testsuite: autopkgtest
Testsuite-Triggers: python3-all, python3-multiprocess, python3-scipy, python3-sklearn
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, pybuild-plugin-pyproject, python3-all, python3-dill (>= 0.3.9), python3-klepto (>= 0.2.6), python3-matplotlib, python3-mpmath, python3-numpy, python3-scipy <!nocheck>, python3-setuptools, python3-sphinx <!nodoc>, python3-sphinx-notfound-page <!nodoc>, python3-sphinx-rtd-theme <!nodoc>, python3-sympy
Package-List:
 python-mystic-doc deb doc optional arch=all profile=!nodoc
 python3-mystic deb python optional arch=all
Checksums-Sha1:
 bb8acb7ca55aaa721ff4ffee32159e3d03c73841 818687 mystic_0.4.3.orig.tar.gz
 b9a952f6b7d1f1e0d45d29cc7008f6f038b462b2 4276 mystic_0.4.3-1.debian.tar.xz
Checksums-Sha256:
 4bbcc72d726c3898dcc83c80d1ef1f9de73e9484a33f7a727502abee5e9ea73c 818687 mystic_0.4.3.orig.tar.gz
 795a39f83f1390c511a10b82a9969d8639de8894e80247dcb822b9856570520c 4276 mystic_0.4.3-1.debian.tar.xz
Files:
 9e51d3a3a2daeaf8bd2c92074c89a4ca 818687 mystic_0.4.3.orig.tar.gz
 be56b4a9fe266fa01b907de659f0e57c 4276 mystic_0.4.3-1.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEfncpR22H1vEdkazLwpPntGGCWs4FAmcnkDkACgkQwpPntGGC
Ws6jZw/+MU35zaOP6SyMOp1KLTkafBT6lbAEKo8htc3UytL3+kdXHRBV105HB7GD
u11fhqrvWoCoOPzudo+IGB+06AW8D2vGTecFX9Q5WSv9d33K4X/0j8USm2q8ZOmz
S23jSpluGp4o8w06WlsUWJpEaKhGQQpSc4+BPVkiLUAtYN7GLpm0jPJgeYcPlCns
Lgfp/2yG1/pl84ZCeObgpm9GPwcrWj/RJNJ47oLSmDQ6Nyfz77rJRUxDp6pOR/jH
W9Ua9Hl/HDD+rZr3gNHlEfL5yDtD2u7Qamg04fU3ANoGZgjNIx5noyoPmYLIgoW0
KjmieoBCHPxVXq2pUUSUb+qz/Z+0xXQAMLl+UIzg1e7kchbjyg+j9XKeeyt8LIcj
tkbsqsRe4qvsRkGJQIKJqArcD9qUlKhQ08UczUDXiRDOMGF0cGl+y9Q9vg1fZ4Jd
YKDDD2txvmLzlOWW58nP+Cb3/ARMKbwopk98y2mHHzGVVI27tl5vh8XZ8LkyuhtU
tcFx1HoMfLr0Y3Yxa4B9KQNi2C4aoZkw8ArzanIc6y2qRQfJKJR6tVAeeqf9P2IC
WKGCRcQTBL28/a5HgAL/HkkY5hvad3VCIM1yHwueG0e75AjhBBW+0jIF4tj3Y8aH
4CoMsKk2tdrPY3Iqg/42sYW3DG9FK6ibiaNqyllrhY5Z6+sxweQ=
=rkfp
-----END PGP SIGNATURE-----
